# ldap_next_entry

(PHP 4, PHP 5, PHP 7)

ldap_next_entry — Get next result entry

### Description

ldap_next_entry ( resource `$link_identifier` , resource `$result_entry_identifier` ) : resource

Retrieve the entries stored in the result. Successive calls to the ldap_next_entry() return entries one by one till there are no more entries. The first call to ldap_next_entry() is made after the call to ldap_first_entry() with the `result_entry_identifier` as returned from the ldap_first_entry().

### Parameters

`link_identifier`

  An LDAP link identifier, returned by ldap_connect().

`result_entry_identifier`

### Return Values

Returns entry identifier for the next entry in the result whose entries are being read starting with ldap_first_entry(). If there are no more entries in the result then it returns `FALSE`.

### See Also

- ldap_get_entries() - Get all result entries